Bug 468319 - Segmentation fault while installing proprietary intel fortran compiler
Segmentation fault while installing proprietary intel fortran compiler
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-23 23:44 EDT by Deji Akingunola
Modified: 2009-01-07 04:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-21 18:27:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Deji Akingunola 2008-10-23 23:44:03 EDT
Description of problem:
Intel(R) Fortran Compiler for applications running on Intel(R) 64, Version 10.1 (10.1.018)
Installing...
*** glibc detected *** rpm: munmap_chunk(): invalid pointer: 0x00007f3286572f00 ***
======= Backtrace: =========
/lib64/libc.so.6[0x7f328c120bb8]
/usr/lib64/librpm-4.6.so(rpmfiNew+0x1509)[0x874429]
/usr/lib64/librpm-4.6.so(rpmteNew+0x471)[0x87d5d1]
/usr/lib64/librpm-4.6.so(rpmtsAddInstallElement+0x12c)[0x85852c]
/usr/lib64/librpm-4.6.so(rpmInstall+0x9d2)[0x877822]
rpm[0x40316f]
/lib64/libc.so.6(__libc_start_main+0xe6)[0x7f328c0c7546]
rpm[0x401cb9]
======= Memory map: ========
00110000-00130000 r-xp 00000000 fd:00 11477                              /lib64/ld-2.8.90.so
0032f000-00330000 r--p 0001f000 fd:00 11477                              /lib64/ld-2.8.90.so
00330000-00331000 rw-p 00020000 fd:00 11477                              /lib64/ld-2.8.90.so
00400000-00405000 r-xp 00000000 fd:00 30064                              /bin/rpm
00604000-00605000 rw-p 00004000 fd:00 30064                              /bin/rpm
00605000-00628000 r-xp 00000000 fd:00 16972                              /usr/lib64/librpmbuild-4.6.so
00628000-00828000 ---p 00023000 fd:00 16972                              /usr/lib64/librpmbuild-4.6.so
00828000-0082b000 rw-p 00023000 fd:00 16972                              /usr/lib64/librpmbuild-4.6.so
0082b000-00831000 rw-p 0082b000 00:00 0 
00831000-00899000 r-xp 00000000 fd:00 16971                              /usr/lib64/librpm-4.6.so
00899000-00a98000 ---p 00068000 fd:00 16971                              /usr/lib64/librpm-4.6.so
00a98000-00a9f000 rw-p 00067000 fd:00 16971                              /usr/lib64/librpm-4.6.so
00a9f000-00aa0000 rw-p 00a9f000 00:00 0 
00aa0000-00ac9000 r-xp 00000000 fd:00 16973                              /usr/lib64/librpmio-4.6.so
00ac9000-00cc9000 ---p 00029000 fd:00 16973                              /usr/lib64/librpmio-4.6.so
00cc9000-00ccc000 rw-p 00029000 fd:00 16973                              /usr/lib64/librpmio-4.6.so
00ccc000-00cce000 rw-p 00ccc000 00:00 0 
00d48000-00e63000 rw-p 00d48000 00:00 0                                  [heap]
7f3285c26000-7f3285cae000 rw-s 00000000 fd:00 99                         /var/lib/rpm/__db.004
7f3285cae000-7f3285df0000 rw-s 00000000 fd:00 98                         /var/lib/rpm/__db.003
7f3285df0000-7f3285e2a000 rw-s 00000000 fd:00 78                         /var/lib/rpm/__db.002
7f3285e2a000-7f3285e7e000 rw-p 7f3285e2a000 00:00 0 
7f3285e7e000-7f3285e8a000 r-xp 00000000 fd:00 11500                      /lib64/libnss_files-2.8.90.so
7f3285e8a000-7f3286089000 ---p 0000c000 fd:00 11500                      /lib64/libnss_files-2.8.90.so
7f3286089000-7f328608a000 r--p 0000b000 fd:00 11500                      /lib64/libnss_files-2.8.90.so
7f328608a000-7f328608b000 rw-p 0000c000 fd:00 11500                      /lib64/libnss_files-2.8.90.so
7f328608b000-7f32860dd000 r-xp 00000000 fd:00 14952                      /lib64/libfreebl3.so
7f32860dd000-7f32862dd000 ---p 00052000 fd:00 14952                      /lib64/libfreebl3.so
7f32862dd000-7f32862de000 rw-p 00052000 fd:00 14952                      /lib64/libfreebl3.so
7f32862de000-7f3286345000 r-xp 00000000 fd:00 14942                      /usr/lib64/libsqlite3.so.0.8.6
7f3286345000-7f3286545000 ---p 00067000 fd:00 14942                      /usr/lib64/libsqlite3.so.0.8.6
7f3286545000-7f3286547000 rw-p 00067000 fd:00 14942                      /usr/lib64/libsqlite3.so.0.8.6
7f3286547000-7f3286580000 r-xp 00000000 fd:00 14959                      /lib64/libsoftokn3.so
7f3286580000-7f328677f000 ---p 00039000 fd:00 14959                      /lib64/libsoftokn3.so
7f328677f000-7f3286781000 rw-p 00038000 fd:00 14959                      /lib64/libsoftokn3.so
7f3286781000-7f328b428000 r--p 00000000 fd:00 12363                      /usr/lib/locale/locale-archive
7f328b428000-7f328b42b000 rw-p 7f328b428000 00:00 0 
7f328b42b000-7f328b462000 r-xp 00000000 fd:00 14925                      /lib64/libnspr4.so
7f328b462000-7f328b662000 ---p 00037000 fd:00 14925                      /lib64/libnspr4.so
7f328b662000-7f328b664000 rw-p 00037000 fd:00 14925                      /lib64/libnspr4.so
7f328b664000-7f328b668000 rw-p 7f328b664000 00:00 0 
7f328b668000-7f328b66b000 r-xp 00000000 fd:00 14927                      /lib64/libplds4.so
7f328b66b000-7f328b86a000 ---p 00003000 fd:00 14927                      /lib64/libplds4.so
7f328b86a000-7f328b86b000 rw-p 00002000 fd:00 14927                      /lib64/libplds4.so
7f328b86b000-7f328b86f000 r-xp 00000000 fd:00 14926                      /lib64/libplc4.so
7f328b86f000-7f328ba6e000 ---p 00004000 fd:00 14926                      /lib64/libplc4.so
7f328ba6e000-7f328ba6f000 rw-p 00003000 fd:00 14926                      /lib64/libplc4.so
7f328ba6f000-7f328ba87000 r-xp 00000000 fd:00 14957                      /lib64/libnssutil3.so
7f328ba87000-7f328bc87000 ---p 00018000 fd:00 14957                      /lib64/libnssutil3.so
7f328bc87000-7f328bc8c000 rw-p 00018000 fd:00 14957                      /lib64/libnssutil3.so
7f328bc8c000-7f328bc8d000 rw-p 7f328bc8c000 00:00 0 
7f328bc8d000-7f328bc8f000 r-xp 00000000 fd:00 11490                      /lib64/libdl-2.8.90.so
7f328bc8f000-7f328be8f000 ---p 00002000 fd:00 11490                      /lib64/libdl-2.8.90.so
7f328be8f000-7f328be90000 r--p 00002000 fd:00 11490                      /lib64/libdl-2.8.90.so
7f328be90000-7f328be91000 rw-p 00003000 fd:00 11490                      /lib64/libdl-2.8.90.so
7f328be91000-7f328bea7000 r-xp 00000000 fd:00 11470                      /lib64/libgcc_s-4.3.2-20081008.so.1
7f328bea7000-7f328c0a7000 ---p 00016000 fd:00 11470                      /lib64/libgcc_s-4.3.2-20081008.so.1
7f328c0a7000-7f328c0a8000 rw-p 00016000 fd:00 11470                      /lib64/libgcc_s-4.3.2-20081008.so.1
7f328c0a8000-7f328c0a9000 rw-p 7f328c0a8000 00:00 0 
7f328c0a9000-7f328c212000 r-xp 00000000 fd:00 11484                      /lib64/libc-2.8.90.so
7f328c212000-7f328c411000 ---p 00169000 fd:00 11484                      /lib64/libc-2.8.90.so
7f328c411000-7f328c415000 r--p 00168000 fd:00 11484                      /lib64/libc-2.8.90.so
7f328c415000-7f328c416000 rw-p 0016c000 fd:00 11484                      /lib64/libc-2.8.90.so
7f328c416000-7f328c41b000 rw-p 7f328c416000 00:00 0 
7f328c41b000-7f328c432000 r-xp 00000000 fd:00 11508                      /lib64/libpthread-2.8.90.so
7f328c432000-7f328c631000 ---p 00017000 fd:00 11508                      /lib64/libpthread-2.8.90.so
7f328c631000-7f328c632000 r--p 00016000 fd:00 11508                      /lib64/libpthread-2.8.90.so
7f328c632000-7f328c633000 rw-p 00017000 fd:00 11508                      /lib64/libpthread-2.8.90.so
7f328c633000-7f328c637000 rw-p 7f328c633000 00:00 0 
7f328c637000-7f328c63f000 r-xp 00000000 fd:00 11512                      /lib64/librt-2.8.90.so
7f328c63f000-7f328c83e000 ---p 00008000 fd:00 11512                      /lib64/librt-2.8.90.so
7f328c83e000-7f328c83f000 r--p 00007000 fd:00 11512                      /lib64/librt-2.8.90.so
7f328c83f000-7f328c840000 rw-p 00008000 fd:00 11512                      /lib64/librt-2.8.90.so
7f328c840000-7f328c841000 rw-p 7f328c840000 00:00 0 
7f328c841000-7f328c856000 r-xp 00000000 fd:00 12661                      /lib64/libz.so.1.2.3
7f328c856000-7f328ca55000 ---p 00015000 fd:00 12661                      /lib64/libz.so.1.2.3
7f328ca55000-7f328ca56000 rw-p 00014000 fd:00 12661                      /lib64/libz.so.1.2.3
7f328ca56000-7f328ca5e000 r-xp 00000000 fd:00 12684                      /lib64/libpopt.so.0.0.0
7f328ca5e000-7f328cc5e000 ---p 00008000 fd:00 12684                      /lib64/libpopt.so.0.0.0
7f328cc5e000-7f328cc5f000 rw-p 00008000 fd:00 12684                      /lib64/libpopt.so.0.0.0
7f328cc5f000-7f328cdaf000 r-xp 00000000 fd:00 14953                      /lib64/libnss3.so
7f328cdaf000-7f328cfaf000 ---p 00150000 fd:00 14953                      /lib64/libnss3.so
7f328cfaf000-7f328cfb8000 rw-p 00150000 fd:00 14953                      /lib64/libnss3.so
7f328cfb8000-7f328cfba000 rw-p 7f328cfb8000 00:00 0 
7f328cfba000-7f328cfcd000 r-xp 00000000 fd:00 12985                      /usr/lib64/libelf-0.137.so
7f328cfcd000-7f328d1cc000 ---p 00013000 fd:00 12985                      /usr/lib64/libelf-0.137.so
7f328d1cc000-7f328d1cd000 r--p 00012000 fd:00 12985                      /usr/lib64/libelf-0.137.so
7f328d1cd000-7f328d1ce000 rw-p 00013000 fd:00 12985                      /usr/lib64/libelf-0.137.so
7f328d1ce000-7f328d252000 r-xp 00000000 fd:00 11492                      /lib64/libm-2.8.90.so
7f328d252000-7f328d451000 ---p 00084000 fd:00 11492                      /lib64/libm-2.8.90.so
7f328d451000-7f./.././data/install_fc.sh: line 5531:  4204 Aborted                 rpm $RPM_OPTIONS $PREFIX "$CHOSENRPM" --ignorearch >&$TEMPFILE.rpmout 2> $RPM_STD_ERROR

where,
$RPM_OPTIONS = -Uvh (Similar segmentation fault occurs when using the installation's default option, '-U --replacefiles --force'
$PREFIX = /opt/intel/fce
$CHOSENRPM = 'intel's 64bit fortran compiler rpm'

I get similar segmentation fault (without the backtrace though) if I run the rpm command with the options as stated above instead of running the compiler's installation script. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Panu Matilainen 2008-10-24 02:00:36 EDT
Easily reproducable with the rpm in question. It's relocation related, the package can be installed if you drop --prefix switch (it defaults to /opt/intel/fce anyway). Will fix...
Comment 2 Bug Zapper 2008-11-25 23:11:03 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Panu Matilainen 2008-11-29 12:55:18 EST
Fixed in rawhide now, F10 will have it as an update after a while
Comment 4 Fedora Update System 2008-12-12 14:14:22 EST
rpm-4.6.0-0.rc3.1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rpm-4.6.0-0.rc3.1.fc10
Comment 5 Fedora Update System 2008-12-17 19:34:24 EST
rpm-4.6.0-0.rc3.1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11332
Comment 6 Deji Akingunola 2008-12-21 18:27:18 EST
Yeah, rpm-4.6.0-0.rc3.1.fc10 works.
Comment 7 Fedora Update System 2009-01-07 04:20:23 EST
rpm-4.6.0-0.rc3.1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.